> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Benchmark Index



## OpenAPI

````yaml GET /api/v1/custom/benchmark_indexes/{benchmark_identifier}/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/benchmark_indexes/{benchmark_identifier}/:
    get:
      tags:
        - api
      operationId: api_v1_custom_benchmark_indexes_retrieve
      parameters:
        - in: path
          name: benchmark_identifier
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenchmarkIndex'
          description: ''
      security:
        - jwtAuth: []
        - ProAPIToken: []
components:
  schemas:
    BenchmarkIndex:
      type: object
      description: Serializer for the BenchmarkIndex model
      properties:
        name:
          type: string
          description: Name of the index
          maxLength: 255
        identifier:
          type: string
          description: Unique identifier for the index
          maxLength: 50
        ticker:
          type: string
          nullable: true
          description: Ticker of the index
          maxLength: 50
        direct_indexing_supported:
          type: boolean
          description: Whether the index can be direct indexed
        expense_ratio:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,3})?$
          nullable: true
          description: Expense ratio of the index
        constituents:
          type: array
          items:
            $ref: '#/components/schemas/BenchmarkIndexConstituent'
          readOnly: true
          description: Index constituents
        constituent_count:
          type: integer
          readOnly: true
          description: Number of constituents in the index
      required:
        - constituent_count
        - constituents
        - identifier
        - name
    BenchmarkIndexConstituent:
      type: object
      description: Serializer for individual benchmark index constituents.
      properties:
        tilt_asset_id:
          type: string
        weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,1}(?:\.\d{0,8})?$
          description: >-
            Weight of this constituent in the index as a decimal, for example
            0.05 for 5%
      required:
        - tilt_asset_id
        - weight
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````